FROM nginx
MAINTAINER xin.lu
VOLUME /tmp
ENV LANG en_US.UTF-8
RUN echo "server {  \
                  #80  当前测试环境Nginx端口 \
                      listen       80; \
                      client_max_body_size 50M; \
                      location   /prod-api/ { \
                      proxy_pass              http://192.168.3.181:8100/; \
                      proxy_redirect          off; \
                      proxy_set_header        Host mes-ui; \
                      proxy_set_header        X-Real-IP \$remote_addr; \
                      proxy_set_header        X-Forwarded-For \$proxy_add_x_forwarded_for; \
                  } \
                  #解决Router(mode: 'history')模式下，刷新路由地址不能找到页面的问题 \
                  location / { \
                     root   /var/mes/mes-ui/; \
                      index  index.html index.htm; \
                      if (!-e \$request_filename) { \
                          rewrite ^(.*)\$ /index.html?s=\$1 last; \
                          break; \
                      } \
                  } \
                  access_log  /var/log/nginx/access.log ; \
              } " > /etc/nginx/conf.d/default.conf \
    &&  mkdir  -p  /var/mes \
    &&  mkdir -p /var/mes/mes-ui

COPY / /var/mes/mes-ui/
EXPOSE 80
EXPOSE 443
